<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:util="http://www.springframework.org/schema/util"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans.xsd
    http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.5.xsd
 	http://www.springframework.org/schema/context
    http://www.springframework.org/schema/context/spring-context-4.0.xsd">

	<!-- Scheduler -->
    <bean name="zidmSchedulerFactoryBean" class="com.cim.idm.framework.scheduler.ZidmSchedulerFactoryBean">
		<property name="dataSource">
			<ref bean="dataSource" />
		</property>
		<property name="configLocation" value="file:${configRootPath}/timer/quartz.properties" />
		<property name="autoStartup" value="true"/>
		<property name="jobFactory" ref="zidmSchedulerFactory"/>
		<property name="triggers">
            <list>
				<ref bean="MyScheduler2ScheduledTrigger"/>
            </list>
        </property>
		<property name="startupDelay" value="10"/>
		<property name="overwriteExistingJobs" value="true"/>
    </bean>

	<bean id="MyScheduler2ScheduledTrigger" class="org.springframework.scheduling.quartz.CronTriggerFactoryBean">
		<property name="jobDetail" >
			<bean name="MyScheduler2ScheduledFactoryBean" class="org.springframework.scheduling.quartz.JobDetailFactoryBean">
				<!-- 指定具体的job类 -->
				<property name="jobClass" value="com.cim.idm.wmsextend.generic.MyScheduler2"/>
				<!-- 必须设置为true，如果为false，当没有活动的触发器与之关联时会在调度器中会删除该任务  -->
				<property name="durability" value="true"/>
			</bean>
		</property>
		<property name="cronExpression" value="0/2 * * * * ?"/>
	</bean>

</beans>